Bug 79312 - Disable auto-close of spelling dialog after spellcheck complete
Summary: Disable auto-close of spelling dialog after spellcheck complete
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Marek Dolezel
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.2.0
Keywords:
Depends on:
Blocks: Spell-Checking-Dialog
  Show dependency treegraph
 
Reported: 2014-05-27 14:23 UTC by Yousuf Philips (jay)
Modified: 2017-09-30 20:45 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-05-27 14:23:19 UTC
I think it would be better to have the user click the 'close' button when the spellcheck is complete, so that users can modify things in the dialog like clicking 'check grammar' or changing the spellcheck dictionary.

Presently there is no means of stopping the spelling dialog from the user opening it up and then it automatically showing that its done spellchecking and when after clicking the 'ok' button and then it automatically closing the dialog without giving the user access to change things. I guess if the one work around is that the user can add an incorrectly spelt work. :) But a number of users have mentioned that spellchecking isnt working for them at all (bug 78499), so mispelling something wont help them get access to the dialog.
Comment 1 Kevin Suo 2014-05-29 08:42:53 UTC
(In reply to comment #0)

Confirmed and I agree with Jay Philips. The check grammer dialog should not be closed immediately after completion.

However, this may be an enhancement, changing the Importance accordingly. Feel free to change it back if you disagree.
Comment 2 Yousuf Philips (jay) 2014-07-05 00:04:53 UTC
Decided to return this to medium as there isnt a workaround to this problem.
Comment 3 Yousuf Philips (jay) 2014-11-28 04:05:49 UTC
CCing ux-advise to confirm i'm not missing anything in this enhancement.
Comment 4 Marek Dolezel 2015-07-06 11:38:55 UTC
I pushed a patch for gerrit gerrit#16788. Assigning to myself.
Comment 6 Commit Notification 2016-03-15 14:52:18 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=940e65304437362f7926042a1eac385802ab3eb9

tdf#79312 sc: Don't close the spellchecker when finished

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.